/*
 * Created on 2005. 5. 4.
 */
package net.javajigi.security.service;

import net.javajigi.security.dao.UserDAO;

/**
 * @author Administrator
 */
public interface SecurityService {
	public void setUserDAO(UserDAO newUserDAO);

	public boolean authenticate(String newUserId, String newPassword)
			throws UserNotFoundException, PasswordMisMatchException;
}
